Bug 8361 - GNOME install does not figure out minimums til too late
GNOME install does not figure out minimums til too late
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2000-01-10 20:43 EST by Stephen John Smoogen
Modified: 2015-01-07 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-04 08:05:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2000-01-10 20:43:23 EST
Ok I have a 800 meg SCSI cdrom and selected GNOME workstation install. The
install partitions the disk and then tells me when I finally get to
installing packages that / is too small.

Hitting OK causes a Python exception

File "/usr/bin/anaconda", line
336 in ?
 intf.run(todo, test=test)

File "/usr/lib/anaconda/text.py"
line 1078 in run
 rc= apply(step[1](),step[2])

File "/usr/lib/anaconda/text.py"
line 623, in __call__
  if todo.doInstall ():

File "/usr/lib/anaconda/todo.py"
line 1288, in doInstall
TypeError: not enough arguments;
expected 2, got 1
Comment 1 Hans de Goede 2000-01-14 10:11:59 EST
This are really 2 problems:
-it warns that there's not enough space after formatting which makes reproducing
 it sorta painfully.
-it shouldn't crash after this message but take you back to the package
 selection or the install type selection.

I also have seen this bug I think it happens on any config where you don't have
enough diskspace. But here's how I can reproduce it:
-do pcmcia install on 486dx75 / 12mb ram / 360mb hd laptop
-choose nfs install
-choose custom
-select to much
-wait for to much dialog (which is after format !!!)
-press enter
-the above trace appears, it's identical on my machine
Comment 2 Jay Turner 2000-02-04 08:05:59 EST
Installer does not partition the disk until after this space check, so something
else might be going on here.  The only thing that the installer will do before
this space check is activate swap space if you are running a low memory machine
(I think that the threshold is at 32M for Intel)

As for the python exception after clicking "OK", this is fixed in beta3.

Note You need to log in before you can comment on or make changes to this bug.